# API Reference

- [Live Entities](https://docs.uiza.io/2022-06-22/api-reference/live-entities.md)
- [Create a live entity](https://docs.uiza.io/2022-06-22/api-reference/live-entities/create-a-live-entity.md): To start live streaming, you need to create an Entity object. Once the request is received, Uiza will allocate resources to serve your live stream.
- [Retrieve a live entity](https://docs.uiza.io/2022-06-22/api-reference/live-entities/retrieve-a-live-entity.md): Retrieves the details of an existing Live Entity. The entity’s id that was returned upon entity creation is required for identifying the exact live entity to be retrieved.
- [Update a live entity](https://docs.uiza.io/2022-06-22/api-reference/live-entities/update-a-live-entity.md): Updates a specified live entity's name, description, dvr setting.
- [Delete a live entity](https://docs.uiza.io/2022-06-22/api-reference/live-entities/delete-a-live-entity.md): Permanently deletes a live entity. You need to stop broadcasting from your end to be able to delete a live entity. Once a live entity is deleted, it cannot be undone.
- [List all live entities](https://docs.uiza.io/2022-06-22/api-reference/live-entities/list-all-live-entities.md): Returns a list of existing live entities in descending order by creation date (the most recently created one is on top)
- [Create a live relay](https://docs.uiza.io/2022-06-22/api-reference/live-entities/enable-live-entity-dvr.md): A Relay is ingesting object that contains the information required to access 3rd ingest servers (a.k.a RTMP/broadcast destination). Use the key and url to configure it.
- [Update a live relay](https://docs.uiza.io/2022-06-22/api-reference/live-entities/disable-live-entity-dvr.md)
- [Delete a live relay](https://docs.uiza.io/2022-06-22/api-reference/live-entities/reset-ingest-key.md)
- [Video Entities](https://docs.uiza.io/2022-06-22/api-reference/video-entities.md)
- [Create a video entity](https://docs.uiza.io/2022-06-22/api-reference/video-entities/create-a-video-entity.md): To create your video streaming, you need to create an Entity object.
- [Retrieve a video entity](https://docs.uiza.io/2022-06-22/api-reference/video-entities/retrieve-a-video-entity.md): Retrieves the details of an existing Video Entity. The entity’s id that was returned upon entity creation is required for identifying the exact live entity to be retrieved.
- [Update a video entity](https://docs.uiza.io/2022-06-22/api-reference/video-entities/update-a-video-entity.md): Updates a specified Video entity's name, description,...
- [Delete a video entity](https://docs.uiza.io/2022-06-22/api-reference/video-entities/delete-a-video-entity.md): Permanently deletes a video entity. Once a video entity is deleted, it cannot be undone.
- [List all video entities](https://docs.uiza.io/2022-06-22/api-reference/video-entities/list-all-live-entities.md): Returns a list of existing Video entities in descending order by creation date (the most recently created one is on top)
- [Events](https://docs.uiza.io/2022-06-22/api-reference/events.md)
- [Event Types](https://docs.uiza.io/2022-06-22/api-reference/events/event-types.md)
- [Webhook Endpoints](https://docs.uiza.io/2022-06-22/api-reference/webhook_endpoints.md)
- [Verifying signatures](https://docs.uiza.io/2022-06-22/api-reference/webhook_endpoints/verifying-signatures.md)
- [Create a webhook endpoint](https://docs.uiza.io/2022-06-22/api-reference/webhook_endpoints/create-webhook-endpoint.md): A URL and a secret are required for webhook endpoint creation. While URLs are endpoints where Uiza sends the events to, secrets are used to generate webhook signatures.
- [Update a webhook endpoint](https://docs.uiza.io/2022-06-22/api-reference/webhook_endpoints/update-webhook-endpoint.md): Updates the URL or secret of a webhook endpoint. You could also use this API to enable or disable your webhook endpoints. Any parameters not provided will be left unchanged.
- [Get a webhook endpoint](https://docs.uiza.io/2022-06-22/api-reference/webhook_endpoints/get-a-webhook-endpoint.md)
- [List all webhook endpoint](https://docs.uiza.io/2022-06-22/api-reference/webhook_endpoints/list-all-webhook-endpoint.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2022-06-22/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
